API 文档
用于程序化 WHOIS 和 RDAP 域名查询的 API 文档。
域名查询
请求地址
GET https://whois.litelake.com/api/whois?domain={domain}参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
| domain | string | 是 | 要查询的域名(例如 example.com) |
| force_refresh | boolean | 否 | 强制刷新缓存数据 |
响应示例
{
"code": 200,
"message": "Query successful",
"data": {
"domain": "example.com",
"tld": "com",
"registrar": "Example Registrar, Inc.",
"registry_domain_id": "123456789_DOMAIN_COM-VRSN",
"created_date": "1995-08-14T04:00:00Z",
"updated_date": "2023-08-14T04:00:00Z",
"expiry_date": "2024-08-13T04:00:00Z",
"status": ["clientTransferProhibited"],
"name_servers": ["ns1.example.com", "ns2.example.com"],
"query_count": 150,
"last_queried_at": "2024-03-05T12:34:56Z"
}
}错误响应
400 请求错误
{
"code": 400,
"message": "Missing domain parameter"
}404 未找到
{
"code": 404,
"message": "Domain not found"
}429 请求过多
{
"code": 429,
"message": "Rate limit exceeded, please try again later"
}500 服务器错误
{
"code": 500,
"message": "Query failed, please try again later"
}